Subject: Re: Cygwin 1.3.10 Setup.exe 2.194.2.22 Install Problems With MSVCRT.DLL and source code on Win98
From: "Cliff Hones" <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Date: Wed, 10 Apr 2002 08:24:11 +0100

> Two major problems (summary):
> 
> 1. Setup.exe (2.194.2.22) ends with a invalid page fault against MSVCRT.DLL
> (details below) on my Windows 98 machine, before complely fininshing the
> install.

Your copy of MSVCRT.DLL may be out of date.  The one originally issued with
W98 is likely to be too old and buggy to run newer executables correctly.

Many (non-MS) products and downloads include a compatible version of
MSVCRT.DLL, and their installer autmatically installs it if it's
newer than the current one; thus on most machines MSVCRT.DLL gets
updated without you ever being aware of it.  [This also has a downside -
I believe MS (or the product supplier) have on occasion issued a MSVCRT
with bugs or with an incorrect version number, so your system may get stuck
with a bad copy.]

Anyway, it's worth trying to update your MSVCRT.DLL.  My current version
is 6.10.8637.0 and I have no setup crashes.

You can get an update here:

  http://www.microsoft.com/windows95/downloads/contents/WURecommended/S_WUServicePacks/MFCLibrary/Default.asp

> 2. I cannot install source files for any packages (using same setup.exe).
> When installing source code, I get "Can't open (null) for reading: No such
> file" error.

I see this problem when I ask to install packages which haven't been downloaded.
So it looks as though your install run is not finding the files that were
previously downloaded into your local directory.  I suppose this could be
a MSVCRT problem too.

Re your more detailed questions - yes, setup should run the post-install
stuff and write a log file on W98 too.  The crash is presumably preventing
this.  If it doesn't run, Cygwin can be used but you may need to check
a few things:

- Your startup script (cygwin.bat)may not be correct. It should be like this:
    @echo off
    C:
    chdir C:\cygwin\bin
    bash --login -i

- Check your mounts using the mount command
- Generate your /etc/passwd file 

Cliff.

> 
> Questions:
> 
> 1.  I had installed the same version of Cygwin with the same setup.exe on a
> box running NT 4.0, and had no problems.  However, on the NT box, a
> post-install script was ran after creating the icons and startup groups.  On
> this failed install I have on Windows 98, I never have a post-install script.
> Is that supposed to happen on Cygwin on a Win98 system?  Is Cygwin safe to run
> if I am supposed to have the post-install script, but because of the failure
> the script does not run?
> 
> 2.  How do I install source code with the current setup.exe?  I have not been
> able to figure out how.  Is it possible with this setup.exe? (I could not
> install source on the NT box either.  No error other than the "Can't open
> (null) for reading: No such file" error, the same on the Win98 box).
> 
> Details:
> 
> When installing Cywin 1.3.10 with setup.exe 2.194.2.22, I can never completely
> finish an install without getting an invalid page fault right after hitting
> "FINISH" on the dialog box that has the checkboxes for putting a shortcut on
> the desktop and in a program group.
> 
> I do not get a cycwin.bat shortcut on the desktop, nor a program group for
> Cygwin.  I also do not get a post-install script like I did on an NT box using
> the same setup.exe.
> 
> I can also not install any source code.
> 
> Thank you for the help.
> 
> RJ
> 
> ==============================================================================
> Test Case/Results: (very repeatable)
> 
> Computer: Asus P2B-F with Pentium-3 450MHz, 256MB ram, running Windows 98
> v4.10.1998.
> 
> 1.  Download "Install Cygwin Now!" from http://www.cygwin.com
> 2.  Save setup.exe (2.194.2.22).
> 3.  Run setup.exe
> 4.  Choose download from internet.
> 5.  Choose directory where files are to be stored.
> 6.  Choose Internet connection of "Direct Connection"
> 7.  Choose mirror of ftp://mirrors.rcn.net
> 8.  Setup downloads setup.ini
> 9.  Hit the view button till full is displayed.
> 10. Hit all "Skip"s under "New" column till version is displayed.
> 11. Check all binaries and source boxes.
> 12. Setup.exe downloads all files successfully (but in a long
>     path called
>     ftp%3a%2f%2fmirrors.rcn.net%2fmirrors%2fsources.redhat.com%2fcygwin, which
>     translated, gives
>     ftp://mirrors.rcn.net/mirrors/sources.redhar.com/cygwin
> 13. Close all programs using task manager except for explorer and systray.
> 14. Close all programs in the task bar by the clock.
> 15. Run setup.exe
> 16. Choose Install from Local Directory
> 17. Choose root directory for cygwin=E:\cygwin, with Install For=All Users and
>     Default Text File Type=Unix.
> 18. Select Local Package directory:
>     D:\Download3\Software\Cygwin_1.3.10\Install
> 19. Hit Next when at package selection page.
> 20. Copies fine to E:\cygwin.
> 21. Comes up with dialog box asking if I want the desktop icon and/or Startup
>     group in Start Menu.  i check both, and I hit Finish.
> 22. I get illegal operation, and will shut down the setup.exe app.
> 23. After hitting close, i have no desktop icon and no startup group.
> 24. I do have cygwin.bat in E:\cygwin, as well as cygwin.ico.
> 25. I also have no setup.log in the E:\cygwin directory, or any directories
>     underneath.
> 
>     If I try to do an install from the internet directly, I get the same
>     results.
> 
>     Also, if I attempt to install source code, for each source code I attempt
>     to install, I get a "Can't open (null) for reading: No such file" for each
>     package that I selected source code on.
> 
> Page Fault Details:
> 
> SETUP caused an invalid page fault in
> module MSVCRT.DLL at 0187:78001750.
> Registers:
> EAX=00f67d40 CS=0187 EIP=78001750 EFLGS=00010246
> EBX=32493bc4 SS=018f ESP=0079e5c4 EBP=0079e5e0
> ECX=312d3030 DS=018f ESI=011c0b94 FS=0f5f
> EDX=000e0b98 ES=018f EDI=0000001c GS=0000
> Bytes at CS:EIP:
> 8b 13 89 55 f4 8b 56 fc 89 55 f8 8b 55 f4 f6 c2
> Stack dump:
> 011c0b98 00000000 011c0b98 00f6b6f4 7803a044
> 7800101b 312d3030 0079e618 78001519 008b0034
> 32493bc4 00465887 011c0b98 011c0b98 008b0034
> 0079e754
> 
> MSVCRT.DLL Info (from properties)
> 
> C:\WINDOWS\SYSTEM\MSVCRT.DLL
> Size: 278581 bytes
> Created: 5/11/2001 19:01:12
> Modified: 7/11/1999 00:39:16
> File Version: 6.10.8293.0
> Description: Microsoft (R) C Runtime Library
> 
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/